Apple iTunes < 12.6.1 WebKit Memory Corruption RCE (uncredentialed check)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

An application running on the remote host is affected by a remote code
execution vulnerability.

Description :

The version of Apple iTunes running on the remote host is prior to
12.6.1. It is, therefore, affected by a remote code execution
vulnerability due to memory corruption caused by improper validation
of user-supplied input. An unauthenticated, remote attacker can
exploit this, by convincing a user to open maliciously crafted web
content, to execute arbitrary code.

Note that Nessus has not tested for this issue but has instead relied
only on the application's self-reported version number.

See also :

https://support.apple.com/en-us/HT207805
http://www.nessus.org/u?61d9f148

Solution :

Upgrade to Apple iTunes version 12.6.1 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: Peer-To-Peer File Sharing

Nessus Plugin ID: 100301 ()

Bugtraq ID:

CVE ID: CVE-2017-6984

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now